theta.md                package:MASS                R Documentation

Estimate theta of the Negative Binomial by Deviance

Description:

     Given the estimated mean vector, estimate 'theta' of the Negative
     Binomial Distribution by equating the deviance to the residual
     degrees of freedom. Analogue of a moment estimator.

Usage:

     theta.md(y, u, dfr, limit = 20, eps = .Machine$double.eps^0.25)

Arguments:

       y: Vector of observed values from the Negative Binomial. 

       u: Estimated mean vector. 

     dfr: Residual degrees of freedom (assuming 'theta' known). 

   limit: Limit on the number of iterations. 

     eps: Tolerance to determine convergence. 

Value:

     The required estimate of 'theta', as a scalar.

See Also:

     'glm.nb', 'theta.ml', 'theta.mm'

Examples:

     ## Not run: theta <- theta.md(y, fitted(fm), dfr = 123)

