Extract.factor             package:base             R Documentation

Extract or Replace Parts of a Factor

Description:

     Extract or replace subsets of factors.

Usage:

     x[i, drop = FALSE]

     x[i] <- value

Arguments:

       x: a factor

       i: a specification of indices - see 'Extract'.

    drop: logical.  If true, unused levels are dropped.

   value: character: a set of levels.  Factor values are coerced to
          character.

Details:

     When unused levels are dropped the ordering of the remaining
     levels is preserved.

     If 'value' is not in 'levels(x)', a missing value is assigned with
     a warning.

     Any 'contrasts' assigned to the factor are preserved unless
     'drop=TRUE'.

Value:

     A factor with the same set of levels as 'x' unless 'drop=TRUE'.

See Also:

     'factor', 'Extract'.

Examples:

     ## following example(factor)
     (ff <- factor(substring("statistics", 1:10, 1:10), levels=letters))
     ff[, drop=TRUE]
     factor(letters[7:10])[2:3, drop = TRUE]

