S3 read functions          package:foreign          R Documentation

Read an S3 Binary File

Description:

     Reads binary data files or 'data.dump' files that were produced in
     S version 3.

Usage:

       data.restore(file, print = FALSE, verbose = FALSE, env = .GlobalEnv)
       read.S(file)

Arguments:

    file: the filename of the S-PLUS 'data.dump' or binary file.

   print: whether to print the name of each object as read from the
          file.

 verbose: whether to print the name of every subitem within each
          object.

     env: environment within which to create the restored object.

Details:

     'read.S' can read the binary files produced in most recent
     versions of S-PLUS on either Windows (versions 3.x, 4.x, 2000) or
     Unix (version 3.x with 4 byte integers). It automatically detects
     whether the file was produced on a big- or little-endian machine
     and adapts itself accordingly.  'data.restore' can read a similar
     range of files produced by 'data.dump'.

     Not all S3 objects can be handled in the current version.  The
     most frequently encountered exceptions are functions and
     expressions; you will also have trouble with objects that contain
     model formulas.  In  particular, comments will be lost from
     function bodies, and the  argument lists of functions will often
     be changed.

Value:

     an R version of the S3 object.

Author(s):

     Duncan Murdoch

Examples:

     ## Not run: 
     read.S(file.path("_Data", "myobj"))
     data.restore("dumpdata", print = TRUE)
     ## End(Not run)

