surf.ls               package:spatial               R Documentation

Fits a Trend Surface by Least-squares

Description:

     Fits a trend surface by least-squares.

Usage:

     surf.ls(np, x, y, z)

Arguments:

      np: degree of polynomial surface 

       x: x coordinates or a data frame with columns 'x', 'y', 'z' 

       y: y coordinates 

       z: z coordinates. Will supersede 'x$z' 

Value:

     list with components

    beta: the coefficients 

       x: 

       y: 

       z: and others for internal use only. 

References:

     Ripley, B. D. (1981) _Spatial Statistics._ Wiley.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'trmat', 'surf.gls'

Examples:

     library(MASS)  # for eqscplot
     data(topo, package="MASS")
     topo.kr <- surf.ls(2, topo)
     trsurf <- trmat(topo.kr, 0, 6.5, 0, 6.5, 50)
     eqscplot(trsurf, type = "n")
     contour(trsurf, add = TRUE)
     points(topo)

     eqscplot(trsurf, type = "n")
     contour(trsurf, add = TRUE)
     plot(topo.kr, add = TRUE)
     title(xlab= "Circle radius proportional to Cook's influence statistic")

